// --------------------------------------------------------------
//  T6963C_B0.h
// --------------------------------------------------------------

#ifndef T6963C_B0_DEFS
#define T6963C_B0_DEFS

#define G_BASE 0x0200            // base address of graphics memory
#define T_BASE 0x0000            // base address of text memory

// con TRISC = 0x10000110;
#define      C_D_mask         1  // bit 0 - Display
#define      _PC_mask         2  // bit 1 - LPT-PC
#define      PULSIN           4  // bit 2 - Sensor
#define      _CE_mask         8  // bit 3 - Display
#define      _WR_mask        16  // bit 4 - Display
#define      _RD_mask        32  // bit 5 - Display

// Funciones de manejo de bits para comunicacion con display
#define CDHI  {PORTC = PORTC | C_D_mask; }
#define CDLO  {PORTC = PORTC & ~C_D_mask;}
#define CEHI  {PORTC = PORTC | _CE_mask; }
#define CELO  {PORTC = PORTC & ~_CE_mask; }
#define RDHI  {PORTC = PORTC | _RD_mask; }
#define RDLO  {PORTC = PORTC & ~_RD_mask; }
#define WRHI  {PORTC = PORTC | _WR_mask; }
#define WRLO  {PORTC = PORTC & ~_WR_mask; }

// Bits para configuracion de _MODO_DISPLAY
#define      _GRAF  8
#define      _TEXT  4
#define      _CURS  2
#define      _PARP  1

#endif // T6963C_B0_DEFS

//---------------------------------------------------------------

/*
 * Low-level I/O routines to interface to LCD display
 * based on four routines:
 *
 *          dput(): write data byte
 *          cput(): write control byte
 *          dget(): read data byte         (UNTESTED)
 *          sget(): read status
 *
 *          espera()   espera que el status de Ok
 *
 */

//---------------------------------------------------------------

void espera();
void glcd_config(unsigned short x_Size, unsigned short y_Size,
     unsigned short Ancho_byte_TX, unsigned short Ancho_byte_GR);
unsigned short sget(void);      // get LCD display status byte
unsigned short dget(void);      // get data byte from LCD module
void dput(unsigned short byte); // write data byte to LCD module
void cput(unsigned short byte); // write command byte to LCD module
					// assumes port is in data OUTPUT mode
//---------------------------------------------------------------
