// --------------------------------------------------------------
// T6963C_B1.h
// --------------------------------------------------------------
// Rutinas de bajo nivel, grficas y de texto
// --------------------------------------------------------------
#include "T6963C_B0.h"
//---------------------------------------------------------------
// Macros de uso general
#define sgn(x) ((x)>0?1:-1)
#define PI 3.1415926536
//---------------------------------------------------------------
// En T6963C_B1_lib.c
//---------------------------------------------------------------
extern unsigned short _NRO_DE_COLUMNAS_GR;
extern unsigned short _NRO_DE_COLUMNAS_TX;
extern unsigned short _NRO_DE_FILAS;
extern unsigned short _MODO_DISPLAY;// Activacion: MGARF+MTEXT+CURS+BLINK
extern unsigned short _H_PIXEL;     // Ancho del caracter (6 / 8)
// ================================================================

void glcd_config(unsigned short x_Size, unsigned short y_Size,
     unsigned short Ancho_byte_TX, unsigned short Ancho_byte_GR);

void glcd_inicio();

// ================================================================
//  Para memoria
// --------------------------------------------------------------
unsigned int calcular_pos_mem(unsigned int BASE, unsigned int LARGO,
         unsigned short FILA);

void glcd_fill_byte(unsigned short COLUMNAS, unsigned short FILAS,
     unsigned char ch);

// ================================================================
//  Para modo
// --------------------------------------------------------------
void glcd_activar(unsigned short MASK);

void glcd_desactivar(unsigned short MASK);

// ================================================================
//  Para cursor
// --------------------------------------------------------------
void glcd_set_cursor_height(unsigned short H);

void glcd_put_cursor(unsigned short XC, unsigned short YC);

// ================================================================
//  Para puntero de memoria
// --------------------------------------------------------------
unsigned int glcd_put_ptr(unsigned int BASE,  unsigned int LARGO,
     unsigned short COLUMNA, unsigned short FILA);

// ================================================================
//  Funciones del modo grfico
// ----------------------------------------------------------------
void glcd_paint_pixel(unsigned short COLUMNA, unsigned short FILA,
     unsigned short color);

void glcd_draw_regla( unsigned short x0, unsigned short y0,
     unsigned short xf, unsigned short yf, unsigned short color);

void glcd_horizontal( char y_pix,char x_min,char x_max,char color);

void glcd_vertical(char x_pix,char y_min,char y_max,char color);

void glcd_draw_rectangle( unsigned short x0, unsigned short y0,
     unsigned short xf, unsigned short yf, unsigned short color);
     
void glcd_draw_ellipse(int x0,int y0,int rx,int ry,int color);

void glcd_draw_sprite(unsigned short x0, unsigned short y0,
     unsigned short NCOLS, unsigned short NFILS,
     const char *array );

void glcd_draw_fondo(unsigned short x0, unsigned short y0,
     unsigned short NCOLS, unsigned short NFILS,
     unsigned char caracter );

// ================================================================
//  Funciones del modo texto
// ----------------------------------------------------------------
void glcd_putchar(char *letra);  // send char to LCD

void glcd_print(char *string);  // send string of characters to LCD

// ================================================================